<!DOCTYPE html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title><?php echo $this->TPL['meta_title']; ?></title>
<meta name="author" content="Piotr Dergun" />
<meta name="generator" content="medit/1.2.0" />
<link rel="stylesheet" href="templates/styles.css" type="text/css" />
<link rel="stylesheet" href="templates/main.css" type="text/css" />
</head>
<body>

<div id="container">
	<div id="top">
		<div style="width: 30%; float:left"><img src="templates/images/uf_logo.svg" height="130" alt="&micro;F logo"></div>
		<div style="width: 70%; float: left">
			<h1><?php echo $this->TPL['forum_name']; ?></h1>
			<h2><?php echo $this->TPL['forum_desc']; ?></h2>
		</div>
	</div>
	<div id="menu">
		<ul>
			<li><a href="index.php">Main Page</a></li>
			<li><a href="index.php?mode=userlist">Userlist</a></li>
			<?php if ( $this->TPL['is_logged']) { ?>
			<li><a href="index.php?mode=myprofile">Profile</a></li>
			<li><a href="index.php?mode=logout">Log out</a></li>
			<?php } else { ?>
			<li><a href="index.php?mode=register">Register</a></li>
			<li><a href="index.php?mode=login">Log in</a></li>
			<?php } ?>
		</ul>	
	</div>
	<br>
	<div id="userpanel">
		<?php if ( $this->TPL['is_logged']) { ?>
		You are logged as: <span style="font-weight: bold"><?php echo $this->TPL['my_nick'] ?></span>
		<?php } else { ?>
		Welcome Guest! You are not logged.
		<?php } ?><br>
		Actual time: <span style="font-weight: bold"><?php echo $this->TPL['actual_time']; ?></span><br>
		<?php IF ($this->TPL['my_rank'] == RANK_ADMIN ) { ?>
		<a href="index.php?mode=admin" style="font-weight: bold">Go to ACP &raquo;</a>
		<?php } ?>
	</div>
	<br>
	<div id="navi_bar">
	<?php 
	for ($i=0; $i<count($this->TPL['nav']); $i++)
	{
		echo '<a href="'.$this->TPL['nav'][$i]['url'].'" class="navigation">'.$this->TPL['nav'][$i]['name'].'</a>';
		
		if ($i < count($this->TPL['nav'])-1)
		echo ' &raquo; ';
	}
	?>
	</div>